Two error messages for too long name on location or organization creation
Status: Closed   

Priority: Normal   

Assignee: Shlomi Zadok   

Category: Rails   

Target version: 1.11.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1246119 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3161

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1246119

Description of problem:

Probably we have defect in validation system for location and organization entities

Version-Release number of selected component (if applicable):

Beta

How reproducible:

Always

Steps to Reproduce:

1. Go to Organization or Location list

2. Push 'New Organization' or 'New Location' button

3. Input too long name (more than 256 symbols) for name field

4. Push 'Submit' button

Actual results:

'is too long (maximum is 246 characters) and is too long (maximum is 255 characters)' message is displayed

Expected results:

'is too long (maximum is 255 characters)' message is displayed

Additional info:

Related issues:

Related to Foreman - Bug #7624: location and organization char names are capp... Closed 09/24/2014

Associated revisions

Revision b874d64f - 02/09/2016 03:57 AM - Shlomi Zadok

Fixes #13378 - Ensure taxonomy name length validation is called once

History

#1 - 01/26/2016 08:42 AM - Dominic Cleal

- Related to Bug #7624: location and organization char names are capped to 246 instead of 255 added

#2 - 01/26/2016 08:43 AM - Dominic Cleal

- Subject changed from Wrong error message for too long name when we try to create location or organization to Two error messages for too long

name on location or organization creation

- Category set to Rails

#3 - 02/07/2016 04:40 AM - The Foreman Bot

- Status changed from New to Ready For Testing
- Assignee set to Shlomi Zadok

- Pull request https://github.com/theforeman/foreman/pull/3161 added

#4 - 02/09/2016 04:01 AM - Shlomi Zadok

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset b874d64ff64d23f0051c343b826669746b166211.

#5 - 02/10/2016 09:40 AM - Dominic Cleal

- translation missing: en.field_release set to 71
